@import url('https://fonts.googleapis.com/css?family=Titan+One');

html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,embed,figure,figcaption,footer,header,hgroup,menu,nav,output,ruby,section,summary,time,mark,audio,video{margin:0;padding:0;border:0;font-size:100%;font:inherit;vertical-align:baseline;}article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section{display:block;}
html{font-size:1em;}
body{line-height:1; width:100%; font-family: Verdana, Arial, sans-serif; font-weight: normal;}
/*
	COLORDECISION: #39B54A (grün)
				   #f76d19 (orange)
	
*/
body{font-size:1em; letter-spacing:0.04em;}
h1{font-size:1.3em; font-family: Verdana, Arial, sans-serif; font-weight: bold; line-height:1.2em; width: 70%; margin-left: 15%; margin-bottom: 0.8em; margin-top: 1.2em; }
h2{font-size:2em; font-family: Verdana, Arial, sans-serif; font-weight: bold; line-height:1.2em;}
h3{font-size:1.5em; font-family: Verdana, Arial, sans-serif; font-weight: bold; line-height:1.2em;}
h4{font-family: Verdana, Arial, sans-serif; font-weight: bold; line-height:1.2em; color: #46A096;}
p{font-family: Verdana, Arial, sans-serif; font-weight: normal; line-height: 1.3em; width: 70%; margin-left: 15%;}	
.title {
	font-family: 'Titan One', cursive, Verdana, Arial, sans-serif; 
	font-weight: bold;
	font-size: 2em;
	color: #f76d19;
}

section {
	padding-top: 0.5em;
	padding-bottom: 0.5em;
}
.lieferservice-menu-container {
	font-family: 'Titan One', cursive, Verdana, Arial, sans-serif;
}
.lieferservice-menu-container ul {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: 0;
    padding: 0;
}
.lieferservice-menu-container ul li {
	min-height: 0;
	margin: 0;
	display: inline-block;
	padding: 0.5em 0;
	border-bottom: 2px solid transparent;
}
.lieferservice-menu-container ul li:hover, .lieferservice-menu-container ul li.active {
	border-bottom: 2px solid #f76d19;
}
.lieferservice-menu-container ul li:hover a, .lieferservice-menu-container ul li.active a {
	color: #f76d19;
}
.lieferservice-menu-container ul li a {
	color: black;
	padding: 1em;
	text-decoration: none;
}

.content_switch {
	display: none;
}
.content_switch.active {
	display: block;
}


.kontakt h3 {
	margin-top: 1em;
}
.kontakt a {
	text-decoration: none;
	color: black;
}

#global-nav{font-family: 'Titan One', cursive, Verdana, Arial, sans-serif; font-weight: bold;}

/*MENU*/
.speisekarte h2, .koechliste h2{
	font-family: 'Titan One', cursive, Verdana, Arial, sans-serif; 
	font-weight: bold;
	font-size: 2em;
	color: black;
	margin-bottom: 1em;
}
.speisekarte h3, .koechliste h3{
	font-size:1.3em; font-family: Verdana, Arial, sans-serif; font-weight: bold; line-height:1.2em; width: 70%; margin-left: 15%; 
	margin-bottom: 0.4em; margin-top: 1.2em;
}
section {
	display: block;
}
.speisekarte .song_container {
	width: 80%;
	margin-left: 10%;
}
.speisekarte .song {
	width: 50%;
	float: left;
    height: 7em;	
}
.speisekarte .song.middle {
	margin-left: 25%;
}


a:hover {
	text-decoration: underline;
}

.hideindesktop{display:none;}
.hideinmobile{display:inline;}
.noscrolling{overflow:hidden;}
.moved header,.moved section,.moved footer{opacity:1;} /*???????????????????????????*/

.icon_over_line {
	margin-top: 3em;
	width: 3em;
}
.horizontal_line {
	display: block;
    margin-bottom: 3em;
    border-style: inset;
    border-width: 1px;
	width: 40%;
	border-color: #f76d19;
}

/* HEADER */

.logo {
	height: 8em;
	vertical-align:middle;
	margin-bottom: 2.5em;
	margin-right: 1em;
}

/*Two images/containers*/
.two_outer {
	margin: 1em 0;
	margin-bottom: 3em;
	overflow: auto;
	height: 18em;
}
.two_inner {
	float: left;
	width: 50%;
}
/*special for video and image fitting... aspect ratio!*/
.two_outer.height18 {
	height: 18em;
}
.two_outer.height18 .two_inner {
	height: 100%;
}
.two_outer.height18 img.two_inner  {
	object-fit: cover;
}
.two_outer.height18 .two_inner_video {
	width: 100%; 
	height: 100%;
}

/*Mittig max...*/
header, #content, footer {
	max-width: 60em;
	left: 50%;
	margin-left: -30em;
/*	transform: translateX(-50%);
*/	position: relative;
}

/* NAVIGATION */
header {
	padding-top: 1em;
    position: fixed;
	background-color: white;
	top: 0;
    width: 100%;
    height: 13em; /*gleich wie content padding*/
    z-index: 30;
	box-shadow: 0 2px 2px -2px #19171c;
    float: left;
	text-align: center;
	border-radius: 5px 5px 0 0;
}
#header_color {
    width: 100%;
    height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	display: none;
}
#global-nav {
    position: absolute;
    bottom: 0;
	z-index: 10;
	text-align: center;
	width: 100%;
}
#global-nav .color {
    width: 100%;
    height: 100%;
    background-color: green;
    position: absolute;
    top: 0;
    opacity: 0;
}
#global-nav a {
	cursor: pointer;
    display: inline-block;
    text-decoration: none;
    color: black;
    padding: 0.5em 0.8em;
    position:relative;
    border-bottom: 4px solid transparent ;
}
#global-nav a:hover, #global-nav a.currentpage {
	border-bottom-color: #f76d19;
	color: #f76d19;	
}
#global-nav a:hover {
    text-decoration: none;
}

body {
	background-color: gray;
}
header, #sections {
	background-color: white;
}
/* CONTENT */
#content {
    position: relative;
    /*margin-top: 13em;/*gleich wie header + 3em*/
	text-align: center;
}

#sections {
	padding-top: 4em;
	padding-bottom: 3em;

}

/* FOOTER */
footer {
    text-align: center;
    font-size: 1em;
    background-color: #f76d19;
	color: white;
    border-top: 1px solid #D0D0D0;
    padding-top: 2.5em;
    padding-bottom: 4em;
	border-radius: 0 0 5px 5px;
	margin-bottom: 1em;
}
.footer_inner {
	font-size: 0.7em;
    padding-left: 2em;
    padding-right: 2em;	
	line-height: 1.5em;
}
footer a {
    text-decoration: none;
    color: white;
}



@media only all and (max-width:60em) {
	
	header, #content, footer {
		left: auto;
		margin-left: 0;
	}

	.logo_title_container {
		padding-top: 15px;
	}
	
	
    .hideinmobile {
        display: none !important;
    }

    .hideindesktop {
        display: inline;
    }
	
    #global-nav {
        position: fixed;
        height: 100%;
        overflow-y: scroll;
        overflow-x: hidden;
        width: 230px;
        padding: 5px;
        background-color: white;/*black with opacity 0.7 (like header...)*/
        left: -240px;
        top: 0;
		text-align: left;
		
		letter-spacing:0.08em;
	}
	#global-nav a {
		width: 100%;
	}

	/*Animation for Menubar*/
    body {
        -webkit-transition: padding 0.4s;
        -moz-transition: padding 0.4s ease;
        -o-transition: padding 0.4s ease;
        transition: padding 0.4s ease;
    }
    #global-nav {
        -webkit-transition: left 0.4s;
        -moz-transition: left 0.4s ease;
        -o-transition: left 0.4s ease;
        transition: left 0.4s ease;
    }

    #menubutton {
        position: absolute;
        bottom: 0;
        left: 0;
        height: 1.3em;
        padding: 0.6em 1em;
        cursor: pointer;
		z-index: 8;
    }

    #menubutton_color {
        position: absolute;
		bottom: 0.6em;
		left: 1em;
		height: 1.8em;
		width: 2.17em;
		margin-left: -0.2em;
		margin-bottom: -0.2em;
		background-color: #000000;
		opacity: 0;
		z-index: 8;
    }
	
	.speisekarte .song {
		height: 8em;
	}
	footer {
		margin-bottom: 0;
	}
}

@media only all and (max-width:40em) {
	.title {
		font-size: 1.2em;
	}
	h1 {
		padding: 0;
		margin-left: 1em;
		margin-right: 1em;
		width: auto;
	}
	p {
		margin-left: 1em;
		margin-right: 1em;
		width: auto;
	}
	
	/*Two images/containers*/
	.two_outer {
		overflow: visible;
		height: auto;
	}
	.two_inner {
		float: none;
		width: 100%;
	}
	/*special for video and image fitting... aspect ratio!*/
	.two_outer.height18 {
		height: auto;
	}
	.two_outer.height18 .two_inner {
		height: auto;
	}
	.two_outer.height18 img.two_inner  {
		object-fit: cover;
	}
	.two_outer.height18 .two_inner_video {
		width: 100%; 
		height: 20em;
	}
	
	.speisekarte .song {
		width: 100%;
		float: none;
		height: 7em;
	}
	.speisekarte .song.middle {
		margin-left: 0;
	}
}

@media only all and (max-width:30em) {
	.logo_title_container {
		padding-top: 2em;
	}
	.logo {
		height: 5em;
		vertical-align:middle;
		margin-bottom: 2.5em;
	}
	.title {
		font-size: 1em;
	}
}